Public Member Functions | Private Member Functions | Private Attributes | List of all members
libebook::PDBLZ77Stream Class Reference

`#include <PDBLZ77Stream.h>`

Inheritance diagram for libebook::PDBLZ77Stream:

## Public Member Functions
| PDBLZ77Stream (librevenge::RVNGInputStream *stream)
| ~PDBLZ77Stream () override
bool | isStructured () override
unsigned | subStreamCount () override
const char * | subStreamName (unsigned id) override
bool | existsSubStream (const char *name) override
librevenge::RVNGInputStream * | getSubStreamByName (const char *name) override
RVNGInputStream * | getSubStreamById (unsigned id) override
const unsigned char * | read (unsigned long numBytes, unsigned long &numBytesRead) override
int | seek (long offset, librevenge::RVNG_SEEK_TYPE seekType) override
long | tell () override
bool | isEnd () override

## Private Member Functions
| PDBLZ77Stream (const PDBLZ77Stream &other)
PDBLZ77Stream & | operator= (const PDBLZ77Stream &other)

## Private Attributes
std::unique_ptr< librevenge::RVNGInputStream > | m_stream

## Constructor & Destructor Documentation

## ◆ PDBLZ77Stream() [1/2]

libebook::PDBLZ77Stream::PDBLZ77Stream | ( | const PDBLZ77Stream & | other | ) |
| private

## ◆ PDBLZ77Stream() [2/2]

libebook::PDBLZ77Stream::PDBLZ77Stream | ( | librevenge::RVNGInputStream * | stream | ) |

## ◆ ~PDBLZ77Stream()

libebook::PDBLZ77Stream::~PDBLZ77Stream | ( |  | ) |
| override

## Member Function Documentation

## ◆ existsSubStream()

bool libebook::PDBLZ77Stream::existsSubStream | ( | const char * | name | ) |
| override

## ◆ getSubStreamById()

librevenge::RVNGInputStream * libebook::PDBLZ77Stream::getSubStreamById | ( | unsigned | id | ) |
| override

## ◆ getSubStreamByName()

librevenge::RVNGInputStream * libebook::PDBLZ77Stream::getSubStreamByName | ( | const char * | name | ) |
| override

## ◆ isEnd()

bool libebook::PDBLZ77Stream::isEnd | ( |  | ) |
| override

## ◆ isStructured()

bool libebook::PDBLZ77Stream::isStructured | ( |  | ) |
| override

## ◆ operator=()

PDBLZ77Stream & libebook::PDBLZ77Stream::operator= | ( | const PDBLZ77Stream & | other | ) |
| private

## ◆ read()

const unsigned char * libebook::PDBLZ77Stream::read | ( | unsigned long | numBytes,
|  | unsigned long & | numBytesRead )
| override

## ◆ seek()

int libebook::PDBLZ77Stream::seek | ( | long | offset,
|  | librevenge::RVNG_SEEK_TYPE | seekType )
| override

## ◆ subStreamCount()

unsigned libebook::PDBLZ77Stream::subStreamCount | ( |  | ) |
| override

## ◆ subStreamName()

const char * libebook::PDBLZ77Stream::subStreamName | ( | unsigned | id | ) |
| override

## ◆ tell()

long libebook::PDBLZ77Stream::tell | ( |  | ) |
| override

## Member Data Documentation

## ◆ m_stream

std::unique_ptr<librevenge::RVNGInputStream> libebook::PDBLZ77Stream::m_stream
| private

Referenced by isEnd(), PDBLZ77Stream(), read(), seek(), and tell().

The documentation for this class was generated from the following files:

- PDBLZ77Stream.h
- PDBLZ77Stream.cpp